Servers
All operations require authentication.
List your VPSProduction
Returns the names of the VPS of the account. Each name is the service name used by the other calls.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List options attached to this VPSProduction
Returns the options attached to the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "additionalDisk"]
List tasks associated with this VPSProduction
Returns the IDs of the tasks of the VPS.
Path parameters
Service name
Query parameters
Filter the value of state property (=)
blockedcancelleddoingdoneerrorpausedtodowaitingAckFilter the value of type property (=)
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ tasks \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get information about a specific VPSProduction
Returns the model, zone, state, netboot mode, keymap, lock status, vCore count, memory limit and IAM metadata of the VPS.
Path parameters
Service name
Response
Set the name displayed in ManagerV6 for your VPS (max 50 chars)
IAM resource metadata
Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change
frusLock status of the VPS
A structure describing characteristics of a VPS model
Ip blocks for OVH monitoring servers
All values a VPS netboot mode can be in
distantlocalrescueAll offers a VPS can have
beta-classicclassiccloudcloudramgame-classiclowlatssdAll states a VPS can be in
backupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgradingEnum values for zone type
localzoneregionExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cluster": "string", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "keymap": "fr", "lockStatus": { "locked": true, "reason": "abuse" }, "memoryLimit": 0, "model": { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }, "monitoringIpBlocks": [ "192.0.2.0/24" ], "name": "string", "netbootMode": "distant", "offerType": "beta-classic", "slaMonitoring": true, "state": "backuping", "vcore": 0, "zone": "string", "zoneType": "localzone"}
Retrieve the datacenter information for this VPSProduction
Returns the name, long name and country of the datacenter of the VPS.
Path parameters
Service name
Response
Datacenter ISO country code
acadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzwDatacenter display name
Datacenter name
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ datacenter \
-H "authorization: Bearer $OVH_TOKEN"{ "country": "ac", "longName": "string", "name": "string"}
Retrieve the currently installed image on this VPSBeta
Returns the name, distribution and version of the image currently installed on the VPS.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ images/ current \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "name": "string"}
Retrieve details about a specific option attached to this VPSProduction
Returns the option and its state on the VPS.
Path parameters
Option
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindowsService name
Response
The option name
additionalDiskautomatedBackupcpanelftpbackupplesksnapshotveeamwindowsThe state of the option
releasedsubscribedExample uses option = additionalDisk, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ option/ {option} \
-H "authorization: Bearer $OVH_TOKEN"{ "option": "additionalDisk", "state": "released"}
Retrieve details about a specific task for this VPSProduction
Returns the type, state, progress and date of a task of the VPS.
Path parameters
Id
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ tasks/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Request a reboot of the VPSProduction
Reboots the VPS and returns the task that performs it.
Path parameters
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ reboot \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Rebuild (reinstall) this VPS and return an asynchronous taskBeta
Rebuilds the VPS with the given template and returns the task that performs it.
Path parameters
Service name
Request body (required)
If asked, the installation password will NOT be sent (only if sshKey defined)
Id of the vps.Image fetched in /images list
If asked, RTM will be installed on your VPS
Bash script run once on first boot after reinstall
Public SSH key to pre-install on your VPS
SSH key name to pre-install on your VPS (name from /me/sshKey)
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ rebuild \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Start the VPS (power on) and return an asynchronous taskProduction
Starts the VPS and returns the task that performs it.
Path parameters
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ start \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Stop the VPS (power off) and return an asynchronous taskProduction
Stops the VPS and returns the task that performs it.
Path parameters
Service name
Response
All states a VPS task can be in
blockedcancelleddoingdoneerrorpausedtodowaitingAckAll type a VPS task can be
addVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVmExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName}/ stop \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}
Edit properties of the given VPSProduction
Updates the display name, the KVM keyboard layout, the netboot mode and the SLA monitoring of the VPS. A keyboard layout change requires a reboot; a netboot change reboots a Cloud VPS automatically.
Path parameters
Service name
Request body (required)
Set the name displayed in ManagerV6 for your VPS (max 50 chars)
Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change
frusLock status of the VPS
A structure describing characteristics of a VPS model
Ip blocks for OVH monitoring servers
All values a VPS netboot mode can be in
distantlocalrescueAll offers a VPS can have
beta-classicclassiccloudcloudramgame-classiclowlatssdAll states a VPS can be in
backupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgradingEnum values for zone type
localzoneregionResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ vps/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"